org.keycloak.dom.saml.v2.ac

## Class SecurityAuditType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.SecurityAuditType

-     public class SecurityAuditType
      extends Object

  Java class for SecurityAuditType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SecurityAuditType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}SwitchAudit" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ExtensionType>` | `extension`
    `protected ExtensionOnlyType` | `switchAudit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityAuditType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `ExtensionOnlyType` | `getSwitchAudit()` Gets the value of the switchAudit property.
    `void` | `setSwitchAudit(ExtensionOnlyType value)` Sets the value of the switchAudit property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### switchAudit

          protected ExtensionOnlyType switchAudit

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### SecurityAuditType

          public SecurityAuditType()

  - ### Method Detail

    - #### getSwitchAudit

          public ExtensionOnlyType getSwitchAudit()

      Gets the value of the switchAudit property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setSwitchAudit

          public void setSwitchAudit(ExtensionOnlyType value)

      Sets the value of the switchAudit property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.